# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-01-14 02:32
from __future__ import unicode_literals

from django.db import migrations

from ..systemgroups import SYSTEM_GROUP_EVERYONE, \
    SYSTEM_GROUP_ANONYMOUS, SYSTEM_GROUP_USERS, SYSTEM_GROUP_STAFFS, \
    SYSTEM_GROUP_CREATOR, SYSTEM_GROUP_OWNER


def forwards_func(apps, schema_editor):
    Group = apps.get_model("auth", "Group")
    db_alias = schema_editor.connection.alias
    Group.objects.using(db_alias).bulk_create([
        Group(name=SYSTEM_GROUP_EVERYONE),
        Group(name=SYSTEM_GROUP_ANONYMOUS),
        Group(name=SYSTEM_GROUP_USERS),
        Group(name=SYSTEM_GROUP_STAFFS),
        Group(name=SYSTEM_GROUP_CREATOR),
        Group(name=SYSTEM_GROUP_OWNER),
    ])


def reverse_func(apps, schema_editor):
    Group = apps.get_model("auth", "Group")
    db_alias = schema_editor.connection.alias
    Group.objects.using(db_alias).filter(name=SYSTEM_GROUP_EVERYONE).delete()
    Group.objects.using(db_alias).filter(name=SYSTEM_GROUP_ANONYMOUS).delete()
    Group.objects.using(db_alias).filter(name=SYSTEM_GROUP_USERS).delete()
    Group.objects.using(db_alias).filter(name=SYSTEM_GROUP_STAFFS).delete()
    Group.objects.using(db_alias).filter(name=SYSTEM_GROUP_CREATOR).delete()
    Group.objects.using(db_alias).filter(name=SYSTEM_GROUP_OWNER).delete()


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
